Test and Measurement Forum

run 2205 under Ubuntu 10.04LTS, driver issue

Post your Linux discussions here

run 2205 under Ubuntu 10.04LTS, driver issue

Postby stefanCH » Fri Mar 30, 2012 5:37 am

I would like to run a 2205 under Ubuntu 10.04LTS (32bit), in block mode, both channels.
I did the following :

A : download PicoScope drivers from webpage
libps2000-2.0.7.7-1.i386.rpm

B : install command alien
sudo apt-get install alien

C : install drivers
sudo alien -i libps2000-2.0.7.7-1.i386.rpm

D : compile test program
gcc -lps2000 -Wall PS2000con.c -oPS2000con

E : start test program
sudo ./PS2000con

Is that OK ?
Result is a in other posts : The 2205 runs and takes samples, but Channel B seems
to be a copy of channel A. I tried it on 3 different machines (DELL and HP), no difference.
I used "picotest.cpp" and "PS2000con.c", both do not run well.

Reading other posts, there seems a newer "lps2000" which solves this problem.
How can I get it ? How can I identify it (Date, Name,..) ? Where does it need
to be placed ?

Thanks for any advice
Stefan
stefanCH
Newbie
 
Posts: 0
Joined: Fri Mar 30, 2012 4:08 am

Re: run 2205 under Ubuntu 10.04LTS, driver issue

Postby Martyn » Tue Apr 03, 2012 10:20 am

Goto http://www.picotech.com/linux.html and select Picoscope 3205 which will allow you to download a combined 2000/3000 driver package. Then follow the instructions in the Install and Readme files.
Martyn
Technical Specialist
Martyn
Site Admin
Site Admin
 
Posts: 2347
Joined: Fri Jun 10, 2011 8:15 am
Location: St. Neots


Return to Linux

Who is online

Users browsing this forum: No registered users and 0 guests